Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.LayerZoomData Class Reference

## Public Member Functions
| LayerZoomData ()
| Constructor.
| LayerZoomData (float min_factor, float max_factor)
| Constructor, with parameters. More...
| LayerZoomData (LayerZoomData data)
| Constructor, with another layer zoom data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
float | getMax_factor ()
| Get the magnification factor below which the group should be ON. More...
float | getMin_factor ()
| Get the minimum recommended magnification factor at which the group should be ON. More...
void | set (float min_factor, float max_factor)
| Set value. More...
void | setMax_factor (float value)
| Set the magnification factor below which the group should be ON. More...
void | setMin_factor (float value)
| Set the minimum recommended magnification factor at which the group should be ON. More...

## Detailed Description

This class represents data for PDF layer zooming usage.

## Constructor & Destructor Documentation

## ◆ LayerZoomData() [1/2]

com.foxit.sdk.pdf.LayerZoomData.LayerZoomData | ( | float | min_factor,
|  | float | max_factor
| ) |  |

Constructor, with parameters.

Parameters

  [in] | min_factor | The minimum recommended magnification factor, in float. A negative number means no minimum zoom factor.
  [in] | max_factor | The magnification factor, in float. A negative number means no magnification zoom factor.

## ◆ LayerZoomData() [2/2]

com.foxit.sdk.pdf.LayerZoomData.LayerZoomData | ( | LayerZoomData | data | ) |

Constructor, with another layer zoom data object.

Parameters

  [in] | data | Another layer zoom data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.LayerZoomData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getMax_factor()

com.foxit.sdk.pdf.LayerZoomData.getMax_factor | ( |  | ) |

Get the magnification factor below which the group should be ON.

Returns
  The magnification factor below which the group should be ON. A negative number means no magnification zoom factor.

## ◆ getMin_factor()

com.foxit.sdk.pdf.LayerZoomData.getMin_factor | ( |  | ) |

Get the minimum recommended magnification factor at which the group should be ON.

Returns
  The minimum recommended magnification factor at which the group should be ON. A negative number means no minimum zoom factor.

## ◆ set()

void com.foxit.sdk.pdf.LayerZoomData.set | ( | float | min_factor,
|  | float | max_factor
| ) |  |

Set value.

Parameters

  [in] | min_factor | The minimum recommended magnification factor, in float. A negative number means no minimum zoom factor.
  [in] | max_factor | The magnification factor, in float. A negative number means no magnification zoom factor.

Returns
  None.

## ◆ setMax_factor()

com.foxit.sdk.pdf.LayerZoomData.setMax_factor | ( | float | value | ) |

Set the magnification factor below which the group should be ON.

Parameters

  [in] | value | The magnification factor below which the group should be ON. A negative number means no magnification zoom factor.

Returns
  None.

## ◆ setMin_factor()

com.foxit.sdk.pdf.LayerZoomData.setMin_factor | ( | float | value | ) |

Set the minimum recommended magnification factor at which the group should be ON.

Parameters

  [in] | value | The minimum recommended magnification factor at which the group should be ON. A negative number means no minimum zoom factor.

Returns
  None.